--- slowcgi.c	2013-08-30 08:10:23.000000000 +0000
+++ slowcgi.c	2013-09-19 09:10:57.000000000 +0000
@@ -16,12 +16,14 @@
  * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
  */
 
+#include <netinet/in.h>
 #include <sys/types.h>
 #include <sys/ioctl.h>
 #include <sys/queue.h>
 #include <sys/socket.h>
 #include <sys/socketvar.h>
 #include <sys/stat.h>
+#include <sys/param.h>
 #include <sys/un.h>
 #include <sys/wait.h>
 #include <err.h>
@@ -145,7 +147,7 @@
 	uint8_t		protocol_status;
 	uint8_t		reserved[3];
 }__packed;
-__dead void	usage(void);
+__dead2 void	usage(void);
 void		slowcgi_listen(char *, gid_t);
 void		slowcgi_paused(int, short, void*);
 void		slowcgi_accept(int, short, void*);
@@ -211,7 +213,7 @@
 #define linfo(_f...) logger->info(_f)
 #define ldebug(_f...) logger->debug(_f)
 
-__dead void
+__dead2 void
 usage(void)
 {
 	extern char *__progname;
